SHRED(1)

BEZEICHNUNG
shred - Eine Datei überschreiben, um den Inhalt zu verstecken und optional zu löschen

ÜBERSICHT
shred [OPTION]… DATEI…

BESCHREIBUNG

Mehrfaches Überschreiben der angegebenen DATEI(en), um es schwerer zu machen, selbst mit teuren Hardware‐Analysemitteln die Daten wieder herzustellen.

Falls die DATEI »-« ist, die Standardausgabe shreddern.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-f, --force
    Zugriffsrechte ändern, um nötigenfalls Schreiben zuzulassen

-n, --iteration=N
    N Mal überschreiben statt des Standardwertes (3)

--random-source=DATEI
    Zufällige Byte aus DATEI nehmen

-s, --size=N
    Diese Anzahl Byte schreddern (Endsilben wie K, M, G zulässig)

-u  Datei nach dem Überschreiben freigeben und entfernen

-u, --remove[=WIE]
    wie -u, aber mit Angaben, WIE gelöscht werden soll; siehe unten

-v, --verbose
    Fortschritt anzeigen

-x, --exact
    Dateigrößen nicht auf den nächsten vollen Block aufrunden;

    Dies ist für nicht‐reguläre Dateien die Voreinstellung.

-z, --zero
    Ein letztes Überschreiben mit Nullen hinzufügen, um Shreddern zu verbergen.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

DATEI(en) löschen, falls --remove (-u) angegeben ist. Die Vorgabe ist es, die Dateien nicht zu entfernen, da man oft auf Gerätedateien wie /dev/hda arbeitet und diese Dateien normalerweise nicht entfernt werden sollten. Der optionale Parameter WIE bezeichnet die Vorgehensweise beim Entfernen eines Verzeichniseintrags: 'unlink' => verwendet einen Standard-unlink-Aufruf. 'wipe' => außerdem zuerst die Byte im Namen überschreiben. 'wipesync' => außerdem jedes überschriebene Byte sofort auf das Gerät zurückschreiben. Der voreingestellte Modus ist »wipesync«. Beachten Sie aber, dass dieser Modus sehr zeitintensiv sein kann.

ACHTUNG: shred geht davon aus, dass sowohl Dateisystem als auch Hardware Daten an Ort und Stelle überschreiben. Obwohl das häufig so ist, agieren viele Plattformen anders. Außerdem können Sicherungskopien und Spiegel nicht entfernbare Kopien enthalten, so dass die bereits geschredderte Datei später wiederhergestellt werden kann. Im Handbuch zu den GNU Coreutils finden Sie Details hierzu.

AUTOR
Geschrieben von Colin Plumb.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/shred>
oder lokal verfügbar mit: info '(coreutils) shred invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Chris Leick <c.leick@vollbio.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).